Subject: Re: ftpconversions

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Fri, 28 Feb 1997 11:00:08 +1100 (EST)

David,
Why not create hard links (using the target file names) to the perl script,
which then does the mod and returns the target file (from some unseen
directory).
Of course the problem will be that all targets will hame same owner,
permissions and file size, date etc attributes, so knowlegable users will
become sus and think either the files are wrong or start looking around.

Regards Geofft

>
>Do ftpconversions entries only get looked at if ftpd can't find the
>requested file, or does it check the conversions against all requested
>filenames?
>
>I'm trying to figure out a way to set up an FTP server that will run a
>perl script to modify certain files before they are sent, while
>preventing any access to the original files.  Ideas, anyone?
>
>Thanks,
>Dave
>
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594